#version 430 core
out vec4 FragColor;
  
in vec2 TexCoords;

uniform sampler2D screenTexture;
uniform sampler2D emissionTexture;
uniform sampler2D depthTex;

void main()
{ 
	vec4 edge = texture(depthTex, TexCoords);

	FragColor = mix(texture(screenTexture, TexCoords), vec4(vec3(0.0), 1.0), edge) + texture(emissionTexture, TexCoords);
}