#version 430

layout(location = 0) in  vec3 position;

layout(location = 0) uniform mat4 skyboxmv;

out vec3 texcoords;

void main() {
	texcoords = position; // positions can be used as the texcoords cause the cube is around 0,0,0
	gl_Position = skyboxmv * vec4(position, 1); // skyboxmv only contains the projection matrix and the camera rotation matrix, then the cube follows the camera
}