#version 430 core

uniform sampler2D text;
layout (location=2) uniform vec3 textColor;

in vec2 TexCoords;
layout (location=0) out vec4 color;
layout (location=1) out vec4 emission;

void main()
{
    color = vec4(textColor, 1.0) * vec4(1.0, 1.0, 1.0, texture(text, TexCoords).r);
	//emission = vec4(0.0,0.0,0.0,1.0);
	emission = color;
}